Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.deployment
Class DeploymentStrategy

    java.lang.Object
      org.jboss.seam.deployment.DeploymentStrategy

Direct Known Subclasses:
  ForwardingDeploymentStrategy, HotDeploymentStrategy, StandardDeploymentStrategy, WarRootDeploymentStrategy

    public abstract class DeploymentStrategy

extends Object

A `DeploymentStrategy` coordinates the deployment of resources for a Seam application.

Author:
  Pete Muir

Field Summary
`static String` | `SCANNERS_KEY` The key under which to list possible scanners.

Constructor Summary
`DeploymentStrategy()`

Method Summary
`abstract ClassLoader` | `getClassLoader()` Get the classloader to use
`Map<String,DeploymentHandler>` | `getDeploymentHandlers()` Get (or modify) any registered `DeploymentHandler`s Implementations of `DeploymentStrategy` may add default `DeploymentHandler`s
`protected abstract String` | `getDeploymentHandlersKey()`
`List<File>` | `getFiles()`
`protected Scanner` | `getScanner()` Get the scanner being used
`abstract javax.servlet.ServletContext` | `getServletContext()` Get the ServletContext to use
`long` | `getTimestamp()`
`protected void` | `initScanner()`
`protected void` | `postScan()`
`abstract void` | `scan()` Do the scan for resources Should only be called by Seam
`void` | `setFiles(List<File> files)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCANNERS_KEY

    public static final String SCANNERS_KEY

  The key under which to list possible scanners. System properties take precedence over /META-INF/seam-scanner.properties. Entries will be tried in sequential order until a Scanner can be loaded. This can be specified as a System property or in /META-INF/seam-deployment.properties

  See Also:
    Constant Field Values

Constructor Detail

### DeploymentStrategy

    public DeploymentStrategy()

Method Detail

### scan

    public abstract void scan()

  Do the scan for resources Should only be called by Seam

### getScanner

    protected Scanner getScanner()

  Get the scanner being used

### getClassLoader

    public abstract ClassLoader getClassLoader()

  Get the classloader to use

### getServletContext

    public abstract javax.servlet.ServletContext getServletContext()

  Get the ServletContext to use

### getDeploymentHandlers

    public Map<String,DeploymentHandler> getDeploymentHandlers()

  Get (or modify) any registered `DeploymentHandler`s Implementations of `DeploymentStrategy` may add default `DeploymentHandler`s

### getDeploymentHandlersKey

    protected abstract String getDeploymentHandlersKey()

### initScanner

    protected void initScanner()

### getFiles

    public List<File> getFiles()

### setFiles

    public void setFiles(List<File> files)

### getTimestamp

    public long getTimestamp()

### postScan

    protected void postScan()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.